function D = isdiscrete(A)

% D = isdiscrete(A)
%
% returns a timescale object D of the same size/type as A, with 1's in the discrete intervals
% and zeros in the continuous intervals.
%

% Ian Gravagne, 12/29/03 Baylor University

if(isempty(A.data))
    D = A;
    return;
end

data = A.data;
indices = [0,A.type(1,:)];

for(i = 1:length(indices)-1)
    p = indices(i) + 1;
    q = indices(i + 1);
    data(p:q) = A.type(2,i) + zeros(1,q-p+1);
end

D = timescale(data,A.type);
    